import 'package:logger/logger.dart';

abstract class LoggerService {
  void errorLogs(String message);

  void logInfo(String message);
}

class LoggerServiceImp implements LoggerService {
  Logger logger;

  LoggerServiceImp({required this.logger});

  @override
  void errorLogs(String message) {
    logger.e(message);
  }

  @override
  void logInfo(String message) {
    logger.d(message);
  }
}
